tigase.cluster.strategy

## Interface ConnectionRecordIfc

- All Known Implementing Classes:
    ConnectionRecord

      public interface ConnectionRecordIfc

  Author:
    kobit

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.xmpp.JID` | `getConnectionId()` Method description
    `tigase.xmpp.JID` | `getNode()` Method description
    `String` | `getSessionId()` Method description
    `tigase.xmpp.JID` | `getUserJid()` Method description
    `void` | `setElement(tigase.xml.Element elem)` Method description
    `void` | `setRecordFields(tigase.xmpp.JID node, tigase.xmpp.JID userJid, String sessionId, tigase.xmpp.JID connectionId)` Method description
    `tigase.xml.Element` | `toElement()` Method description

- - ### Method Detail

    - #### toElement

          tigase.xml.Element toElement()

      Method description
      Returns:
        a value of `Element`

    - #### getConnectionId

          tigase.xmpp.JID getConnectionId()

      Method description
      Returns:
        a value of `JID`

    - #### getNode

          tigase.xmpp.JID getNode()

      Method description
      Returns:
        a value of `JID`

    - #### getSessionId

          String getSessionId()

      Method description
      Returns:
        a value of `String`

    - #### getUserJid

          tigase.xmpp.JID getUserJid()

      Method description
      Returns:
        a value of `JID`

    - #### setElement

          void setElement(tigase.xml.Element elem)

      Method description
      Parameters:
        `elem` -

    - #### setRecordFields

          void setRecordFields(tigase.xmpp.JID node,
                             tigase.xmpp.JID userJid,
                             String sessionId,
                             tigase.xmpp.JID connectionId)

      Method description
      Parameters:
        `node` -
        `userJid` -
        `sessionId` -
        `connectionId` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.